/**
 *******************************************************************************
 *
 * @file user_config.h
 *
 * @brief Application configuration definition
 *
 * Copyright (C) RivieraWaves 2009-2016
 *
 *******************************************************************************
 */
 
#ifndef _USER_CONFIG_H_
#define _USER_CONFIG_H_


 
 /******************************************************************************
  *############################################################################*
  * 							SYSTEM MACRO CTRL                              *
  *############################################################################*
  *****************************************************************************/

//ҪʹGPIOеԣҪ
#define GPIO_DBG_MSG					0
//UARTʹܿƺ
#define DBG_PRINTF_EN					1
//ӲԿ
#define DEBUG_HW						0

#define BQB_TEST_ENABLE					1

#define NVR8080_RENAME					1

#define OAD_STACK0              0
#define OAD_STACK1              1
#define OAD_STACK2              2
#define STACK_SEL       				OAD_STACK0 //OAD_STACK2
 
#define LPO_CLOCK_SOURCE_SEL_EXTXTAL	0
#define LPO_CLOCK_SOURCE_SEL_AUTO		1
#define LPO_CLOCK_SOURCE_SEL			LPO_CLOCK_SOURCE_SEL_AUTO

/*******************************************************************************
 *#############################################################################*
 *								APPLICATION MACRO CTRL                         *
 *#############################################################################*
 *******************************************************************************/
 
//Ӳ¿
#define UPDATE_CONNENCT_PARAM  			1

//СӼ
#define BLE_UAPDATA_MIN_INTVALUE		6//20
//Ӽ 
#define BLE_UAPDATA_MAX_INTVALUE		6//40
//Latency
#define BLE_UAPDATA_LATENCY				0
//ӳʱ
#define BLE_UAPDATA_TIMEOUT				600


//豸
#define APP_DFLT_DEVICE_NAME           ("BK3432-BLEt")//("BK3432-GATT")


 //㲥UUID                     //hrp(0x180D),blp(0x1810),glp(0x1808),htp(0x1809),wsc(0x181D),
//#define APP_FFF0_ADV_DATA_UUID        "\x03\x03\xF0\xFF"
//#define APP_FFF0_ADV_DATA_UUID_LEN    (4)
#define APP_FFF0_ADV_DATA_UUID        "\x03\x03\x09\x18\x03\x03\x1D\x18"
#define APP_FFF0_ADV_DATA_UUID_LEN    (8)

//ɨӦ
//#define APP_SCNRSP_DATA        "\x0c\x08\x42\x4B\x33\x34\x33\x32\x2D\x47\x41\x54\x54" //BK3432-GATT"
#define APP_SCNRSP_DATA         "\x0c\x08\x42\x4B\x33\x34\x33\x32\x2D\x42\x4C\x45\x74" //BK3432-BLEt"
#define APP_SCNRSP_DATA_LEN     (13)


//㲥
/// Advertising channel map - 37, 38, 39
#define APP_ADV_CHMAP           (0x07)
/// Advertising minimum interval - 100ms (160*0.625ms)
#define APP_ADV_INT_MIN         (160)
/// Advertising maximum interval - 100ms (160*0.625ms)
#define APP_ADV_INT_MAX         (160)
/// Fast advertising interval
#define APP_ADV_FAST_INT        (32)




/*******************************************************************************
 *#############################################################################*
 *								DRIVER MACRO CTRL                              *
 *#############################################################################*
 ******************************************************************************/

//DRIVER CONFIG
#define UART_DRIVER						1
#define GPIO_DRIVER						1
#define AUDIO_DRIVER					0
#define RTC_DRIVER						0
#define ADC_DRIVER						0
#define I2C_DRIVER						0
#define PWM_DRIVER						1









#endif /* _USER_CONFIG_H_ */
